RDMnet::BrokerProtocol::ClientEntry::entry_header Struct Reference

The ClientEntry::header struct. More...

`#include <broker-protocol.h>`

Inheritance diagram for RDMnet::BrokerProtocol::ClientEntry::entry_header:
[legend]

## Public Member Functions

size_t | streamSize () const override
| ClientEntry_header::streamSize. More...
void | iStream (ACN::PDU::Stream) override
| header::iStream More...
void | oStream (ACN::PDU::Stream) const override
| ClientEntry_header::oStream. More...

## Public Attributes

UUID::uuid | cid
| Component's UUID.

## Detailed Description

The ClientEntry::header struct.

## Member Function Documentation

## iStream()

void RDMnet::BrokerProtocol::ClientEntry::entry_header::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

header::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::BrokerProtocol::ClientEntry::entry_header::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

ClientEntry_header::oStream.

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::BrokerProtocol::ClientEntry::entry_header::streamSize | ( |  | ) | const

overridevirtual

ClientEntry_header::streamSize.

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker-protocol.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdmnet/broker-protocol.cpp